# SPDX-FileCopyrightText: Copyright © 2023 Idiap Research Institute <contact@idiap.ch>
#
# SPDX-License-Identifier: GPL-3.0-or-later

"""DenseNet."""

from torch.nn import BCEWithLogitsLoss
from torch.optim import Adam

from ...data.augmentations import ElasticDeformation
from ...models.densenet import Densenet

model = Densenet(
    train_loss=BCEWithLogitsLoss(),
    validation_loss=BCEWithLogitsLoss(),
    optimizer_type=Adam,
    optimizer_arguments=dict(lr=0.0001),
    augmentation_transforms=[ElasticDeformation(p=0.8)],
    pretrained=True,
)
